relaxngcc.codedom

## Class CDVariable

- java.lang.Object
- - relaxngcc.codedom.CDExpression
  - - relaxngcc.codedom.CDVariable

All Implemented Interfaces:
  CDStatement

    public class CDVariable
    extends CDExpression
    implements CDStatement

CDVariable. Can be used as an CDExpression to refer to this variable.

### Method Summary

Methods
`void` `declare(CDFormatter f)`
`void` `express(CDFormatter f)` Prints itself as an expression.
`java.lang.String` `getName()`
`void` `state(CDFormatter f)` Prints itself as a statement.

### Methods inherited from class relaxngcc.codedom.CDExpression

`_new, arrayRef, arrayRef, castTo, invoke, not, prop`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getName

    public java.lang.String getName()

#### express

    public void express(CDFormatter f)
                 throws java.io.IOException

Description copied from class: `CDExpression`
Prints itself as an expression.

Throws:
  `java.io.IOException`

#### declare

    public void declare(CDFormatter f)
                 throws java.io.IOException

Throws:
  `java.io.IOException`

#### state

    public void state(CDFormatter f)
               throws java.io.IOException

Description copied from interface: `CDStatement`
Prints itself as a statement.

Specified by:
  `state` in interface `CDStatement`
Throws:
  `java.io.IOException`